
QGIS Application - Bug report #9581

linestrings not transforming on the fly

2014-02-17 07:16 AM - Gavin Fleming

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18164

Description

QGIS Master 2.2 (from debian-nightly). This has happened with linestrings from various sources (shapefile, gpx and postgis)

Linstrings draw in their own CRS but when the project CRS is changed, they do not render. Other feature types render fine, but the

linestrings stop rendering. Set the CRS back to the layer's own CRS and they render again.

History

#1 - 2014-02-17 07:35 AM - Gavin Fleming

appears to be duplicate of #9360

#2 - 2014-02-18 07:53 AM - Giovanni Manghi

- Status changed from Open to Feedback

Gavin Fleming wrote:

appears to be duplicate of #9360

as it happens for #9360 I'm really not able to replicate (using master on Ubuntu installed from repo).

Can you attach sample data? What your "about" dialog says?

#3 - 2014-02-18 12:15 PM - Gavin Fleming

- File hotel_airport.zip added

Try the attached shapefile. If I load it with simplification on, it never draws when projected but if I load it with simplification off it always draws when

projected.

About:

QGIS version    2.1.0-Master    QGIS code revision    exported

Compiled against Qt    4.8.4    Running against Qt    4.8.4

Compiled against GDAL/OGR    1.9.0    Running against GDAL/OGR    1.9.0

Compiled against GEOS    3.3.3-CAPI-1.7.4    Running against GEOS    3.3.8-CAPI-1.7.8

PostgreSQL Client Version    9.1.10    SpatiaLite Version    3.1.0-RC2
QWT Version    5.2.3    PROJ.4 Version    470

QScintilla2 Version

#4 - 2014-02-18 02:39 PM - Richard Duivenvoorde

Gavin, I cannot reproduce this either (Debian self compiled QGIS of yesterday)

Loading your (latlon degrees) shapefile over an OpenLayers Google Streetmap layer loads fine. Both with and without simplification.

I also tried different styles.

Can you maybe provide a test project file (foo.qgs), maybe you have strange styles or other settings (like for the rendering)?

If you select (zoom to layer extent), do you go to the right place (Windhoek namibia)?

Do you see any debugging information if you start QGIS from command line?

#5 - 2014-02-18 05:03 PM - Mathieu Pellerin - nIRV

Richard, there's a serious ongoing issue with simplification that only manifests through debian-nightly packages (but not on self-compiled qgis master).

Gavin, a developer has commited a change that might improve situation (#dc50304f52f016cd220618676a7fff10bf16a107). Give it a try when

debian-nightly packages are updated.

#6 - 2014-02-18 11:57 PM - Martin Dobias

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

I am pretty sure this got fixed by commit:5d4cf3086 (same problem with randomly overwritten extent)

#7 - 2014-02-18 11:57 PM - Martin Dobias

- Target version set to Version 2.2

Files

hotel_airport.zip 22 KB 2014-02-18 Gavin Fleming
